#==============================================================================
# package      DE_EPAGES::GoogleAdWords::UI::Shop
# base         DE_EPAGES::Order::UI::Shop
# state        private
#==============================================================================
package DE_EPAGES::Google::UI::Shop;
use base DE_EPAGES::Presentation::UI::Object;

use strict;

use DE_EPAGES::Trigger::API::Trigger qw ( TriggerHook );

sub UnitySave {
    my $self = shift;
    my ($Servlet) = @_;

    my $hValues = $Servlet->form->form($Servlet->object, 'SaveGoogleSearch');
    my $GoogleSearchHTMLCode = $hValues->{'GoogleSearchHTMLCode'};

    if($GoogleSearchHTMLCode =~ /^<meta name="google-site-verification" content="\w+"\/>$/){
        $self->SUPER::Save($Servlet);  
    }
    else{
        $Servlet->form->executeFormError({
            'Name'       => 'GoogleSearchHTMLCode',
            'Reason'     => 'WrongFormat',
        });
    }
}

sub UnityMBOViewGoogleSearch {
    my $self = shift;
    my ($Servlet) = @_;

    # trigger hook to allow the adding of context sensitive apps
    TriggerHook('UI_Shop_UnityViewGoogleSearch', { 'Servlet' => $Servlet });

    return $self->SUPER::View($Servlet);
}

1;
