#========================================================================================
# package      DE_EPAGES::PayPalExpress::API::Constants
# base         Exporter
# state        public
#----------------------------------------------------------------------------------------
# description  constants of paypal express
#========================================================================================
package DE_EPAGES::PayPalExpress::API::Constants;
use base qw (Exporter);

use strict;
our @EXPORT_OK = qw (
    API_VERSION
    REQUEST_ENCODING
    ITEM_CATEGORY_DIGITAL
    ITEM_CATEGORY_PHYSICAL
    PARAMS_SKIPPED_AT_LOGGING
    PAYPALEXPRESS_ICON_SILVER
    PAYPALEXPRESS_ICON_GOLD
    $MAXIMUM_NUMBER_ALLOWED_CHARACTERS
    %Mapping_Address_EpagesAttributes_PayPalResponseAttributes
    TRANSSTATUS_FAILED
    TRANSSTATUS_CANCELED

);

use constant PAYPALEXPRESS_ICON_SILVER => '/SF/ico_expresscheckout_silver_de.gif';
use constant PAYPALEXPRESS_ICON_GOLD => '/SF/ico_expresscheckout_gold_de.gif';

use constant API_VERSION      => '63.0';
use constant REQUEST_ENCODING => 'utf-8';

use constant ITEM_CATEGORY_DIGITAL  => 'Digital';
use constant ITEM_CATEGORY_PHYSICAL => 'Physical';

our $MAXIMUM_NUMBER_ALLOWED_CHARACTERS = '255';

use constant PARAMS_SKIPPED_AT_LOGGING => qw(
    CREDITCARDTYPE
    ACCT
    EXPDATE
    CVV2
    STARTDATE
    ISSUENUMBER
    USER
    PWD
    SIGNATURE
);

our %Mapping_Address_EpagesAttributes_PayPalResponseAttributes = (
    'LastName' => 'PAYMENTREQUEST_0_SHIPTONAME',
    'Street' => 'PAYMENTREQUEST_0_SHIPTOSTREET',
    'Street2' => 'PAYMENTREQUEST_0_SHIPTOSTREET2',
    'Zipcode' => 'PAYMENTREQUEST_0_SHIPTOZIP',
    'City' => 'PAYMENTREQUEST_0_SHIPTOCITY',
    'State' => 'PAYMENTREQUEST_0_SHIPTOSTATE',
    'CountryID' => 'PAYMENTREQUEST_0_SHIPTOCOUNTRYCODE',
    'EMail' => 'EMAIL',
    'Phone' => 'PHONENUM',
);

use constant TRANSSTATUS_FAILED => 'failed';
use constant TRANSSTATUS_CANCELED => 'cancelled';
1;
